# SwaggerClient::RoutePolylineApi

All URIs are relative to *https://dev.tollguru.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**route_post**](RoutePolylineApi.md#route_post) | **POST** /route | Route polyline (from HERE/ Google map)


# **route_post**
> InlineResponse200 route_post(opts)

Route polyline (from HERE/ Google map)

The response endpoint retrieves all tolls on the single route requested. You will not receive tolls for alternate routes possible between the origin and destination.

### Example
```ruby
# load the gem
require 'swagger_client'

api_instance = SwaggerClient::RoutePolylineApi.new

opts = { 
  body: SwaggerClient::Body.new # Body | 
}

begin
  #Route polyline (from HERE/ Google map)
  result = api_instance.route_post(opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling RoutePolylineApi->route_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Body**](Body.md)|  | [optional] 

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



